# apps/accounts/urls.py
from django.urls import path
from apps.accounts.views import (
    LoginView, RegisterView, LogoutView, user_profile, change_password,
    user_detail, user_update, user_delete, verify_token, user_list
)
from .views import UserGoalView, UserGoalDetailView, RecommendedReplyView

urlpatterns = [
    path('login/', LoginView.as_view(), name='login'),
    path('register/', RegisterView.as_view(), name='register'),
    path('logout/', LogoutView.as_view(), name='logout'),
    path('profile/', user_profile, name='user_profile'),
    path('change-password/', change_password, name='change_password'),
    path('verify-token/', verify_token, name='verify_token'),
    path('users/', user_list, name='user_list'),
    path('users/<str:pk>/', user_detail, name='user_detail'),
    path('users/<str:pk>/update/', user_update, name='user_update'),
    path('users/<str:pk>/delete/', user_delete, name='user_delete'),
    path('goals/', UserGoalView.as_view(), name='user_goals'),
    path('goals/<str:goal_id>/', UserGoalDetailView.as_view(), name='user_goal_detail'),
    path('recommended-reply/', RecommendedReplyView.as_view(), name='recommended_reply'),
]
